version: '3'
services:
  minio-demo:
    image: minio/minio:latest
    container_name: minio-demo
    volumes:
      - ./minio/data/:/data
      - ./minio/conf/:/root/.minio
    ports:
      - 9000:9000
      - 9001:9001
    environment:
      MINIO_ROOT_USER: minio
      MINIO_ROOT_PASSWORD: minio123
    command: server --console-address :9001 /data
